> ## Documentation Index
> Fetch the complete documentation index at: https://webdeeds.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new mint request



## OpenAPI

````yaml https://api.webdeeds.org/openapi.json post /v1/mint
openapi: 3.1.1
info:
  title: Webdeeds
  description: Webdeed's official public API
  version: 0.0.1
servers:
  - url: https://api.webdeeds.org
security: []
paths:
  /v1/mint:
    post:
      tags:
        - Mint
      summary: Create new mint request
      operationId: postV1Mint
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  type: object
                  properties:
                    name:
                      description: Identifies the asset to which this deed represents
                      type: string
                    description:
                      description: Describes the asset to which this deed represents
                      type: string
                    image:
                      description: >-
                        A URI pointing to a resource with mime type image/*
                        representing the asset to which this deed represents.
                        Consider making any images at a width between 320 and
                        1080 pixels and aspect ratio between 1.91:1 and 4:5
                        inclusive.
                      type: string
                outputs:
                  anyOf:
                    - minItems: 1
                      type: array
                      items:
                        type: string
                    - minItems: 1
                      type: array
                      items:
                        type: object
                        properties:
                          amount:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          secret:
                            type: string
                            minLength: 1
                            maxLength: 32
                        required:
                          - amount
                          - secret
              required:
                - outputs
      responses:
        '200':
          description: Mint request accepted
          content:
            application/json:
              example:
                itemId: deed_XXXXXXXXXXXXXXXXXXXXXXXXX
                outputs:
                  - itemId: deed_XXXXXXXXXXXXXXXXXXXXXXXXX
                    amount: 1
                    secret: test-secret-replace-me-1
                  - itemId: deed_XXXXXXXXXXXXXXXXXXXXXXXXX
                    amount: 999
                    secret: test-secret-replace-me-2
                rawOutputs:
                  - +1.deed_XXXXXXXXXXXXXXXXXXXXXXXXX.test-secret-replace-me-1
                  - +999.deed_XXXXXXXXXXXXXXXXXXXXXXXXX.test-secret-replace-me-2
              schema:
                type: object
                properties:
                  itemId:
                    type: string
                  outputs:
                    type: array
                    items:
                      type: object
                      properties:
                        amount:
                          type: integer
                          exclusiveMinimum: 0
                          maximum: 9007199254740991
                        secret:
                          type: string
                          minLength: 1
                          maxLength: 32
                        itemId:
                          type: string
                      required:
                        - amount
                        - secret
                        - itemId
                  rawOutputs:
                    type: array
                    items:
                      type: string
                required:
                  - itemId
                  - outputs
                  - rawOutputs
        '400':
          description: Invalid request

````